Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.TextFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.TextFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.TextFlag

extends java.lang.Enum
implements QtEnumerator

This enum type is used to define some modifier flags. Some of these flags only make sense in the context of printing: You can use as many modifier flags as you want, except that `Qt::TextSingleLine` and `Qt::TextWordWrap` cannot be combined.

Flags that are inappropriate for a given use are generally ignored.

See Also:
  Serialized Form

Field Summary
`static Qt.TextFlag` | `TextDontClip` If it's impossible to stay within the given bounds, it prints outside.
`static Qt.TextFlag` | `TextDontPrint` Treat this text as "hidden" and don't print it.
`static Qt.TextFlag` | `TextExpandTabs` Makes the U+0009 (ASCII tab) character move to the next tab stop.
`static Qt.TextFlag` | `TextForceLeftToRight`
`static Qt.TextFlag` | `TextForceRightToLeft`
`static Qt.TextFlag` | `TextHideMnemonic` Same as `Qt::TextShowMnemonic` but doesn't draw the underlines.
`static Qt.TextFlag` | `TextIncludeTrailingSpaces` Don't automatically delete trailing whitespace.
`static Qt.TextFlag` | `TextJustificationForced` Ensures that text lines are justified.
`static Qt.TextFlag` | `TextShowMnemonic` Displays the string "&P" as P (see {@link | `static Qt.TextFlag` | `TextSingleLine` Treats all whitespace as spaces and prints just one line.
`static Qt.TextFlag` | `TextWordWrap` Breaks lines at appropriate points, e.g.
`static Qt.TextFlag` | `TextWrapAnywhere` Breaks lines anywhere, even within words.

Method Summary
`static Qt.TextFlag` | `resolve(int value)` Returns the TextFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.TextFlag` | `valueOf(java.lang.String name)`
`static Qt.TextFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TextSingleLine

    public static final Qt.TextFlag TextSingleLine

  Treats all whitespace as spaces and prints just one line.

### TextDontClip

    public static final Qt.TextFlag TextDontClip

  If it's impossible to stay within the given bounds, it prints outside.

### TextExpandTabs

    public static final Qt.TextFlag TextExpandTabs

  Makes the U+0009 (ASCII tab) character move to the next tab stop.

### TextShowMnemonic

    public static final Qt.TextFlag TextShowMnemonic

  Displays the string "&P" as P (see QButton for an example). For an ampersand, use "&&".

### TextWordWrap

    public static final Qt.TextFlag TextWordWrap

  Breaks lines at appropriate points, e.g. at word boundaries.

### TextWrapAnywhere

    public static final Qt.TextFlag TextWrapAnywhere

  Breaks lines anywhere, even within words.

### TextDontPrint

    public static final Qt.TextFlag TextDontPrint

  Treat this text as "hidden" and don't print it.

### TextIncludeTrailingSpaces

    public static final Qt.TextFlag TextIncludeTrailingSpaces

  Don't automatically delete trailing whitespace.

### TextHideMnemonic

    public static final Qt.TextFlag TextHideMnemonic

  Same as `Qt::TextShowMnemonic` but doesn't draw the underlines.

### TextJustificationForced

    public static final Qt.TextFlag TextJustificationForced

  Ensures that text lines are justified.

### TextForceLeftToRight

    public static final Qt.TextFlag TextForceLeftToRight

### TextForceRightToLeft

    public static final Qt.TextFlag TextForceRightToLeft

Method Detail

### values

    public static Qt.TextFlag[] values()

### valueOf

    public static Qt.TextFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.TextFlag resolve(int value)

  Returns the TextFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD